/*
 * Copyright (C) 2022 jimj316
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
package moe.nekojimi.chords.commands.playlists;

import moe.nekojimi.chords.Main;
import moe.nekojimi.chords.Playlist;
import moe.nekojimi.chords.commands.Command;
import moe.nekojimi.chords.commands.Invocation;

/**
 *
 * @author jimj316
 */
public class PlaylistCommand extends Command
{

    public PlaylistCommand(Main bot)
    {
        super(bot, "playlist");
    }

    @Override
    public void call(Invocation invocation)
    {
        String name = invocation.getArgs().get(0);
        Playlist list = bot.getPlaylists().get(name);
        if (list == null)
        {
            invocation.respond("There's no playlist named \"" + name + "\"!");
            return;
        }

        bot.getQueueManager().setPlaylist(list);
        invocation.respond("Playing from list \"" + name + "\"!");
    }

}
